//
//************************************************************************
// File                 : dlgparm.cpp  
// Module               : 	
// Project              : View dumpfile  
// Description          :
// Creation date        : 
// Last update          : 
// Author(s)            : Bertho Stultiens (BS)
// Version              :
// Compiler             : Borland C++ 3.1
//	switches	:
// Remarks              :
// Modification History :
//************************************************************************
// 

#include <owl.h>
#include <stdio.h>
#include "viewdmp.h"
#include "viewdmpr.h"
#include "dumpwin.h"
#include "dlgparm.h"
#include "ekmedit.h"



TDialogParameter::TDialogParameter(PTWindowsObject AParent, LPSTR AName, PTModule AModule)
		  : TDialog(AParent, AName, AModule)
{
	peXSize   = new TDoubleEdit(this, ID_DLGPARMXSIZE, 15);
	peYSize   = new TDoubleEdit(this, ID_DLGPARMYSIZE, 15);
	peXCenter = new TIntEdit(this, ID_DLGPARMXCENTER, 10);
	peYCenter = new TIntEdit(this, ID_DLGPARMYCENTER, 10);
	psHCenter = new TStatic(this, ID_DLGPARMHCENTER, 15);
	psMinimum = new TStatic(this, ID_DLGPARMMINIMUM, 15);
	psMaximum = new TStatic(this, ID_DLGPARMMAXIMUM, 15);
}


TDialogParameter::~TDialogParameter()
{
}


void TDialogParameter::SetupWindow(void)
{
	char str[20];

	TDialog::SetupWindow();

	sprintf(str, "%.15lg", ((PTDumpWindow)Parent)->Width);	peXSize->SetText(str);
	sprintf(str, "%.15lg", ((PTDumpWindow)Parent)->Height);	peYSize->SetText(str);
	sprintf(str, "%d", ((PTDumpWindow)Parent)->CenterX);	peXCenter->SetText(str);
	sprintf(str, "%d", ((PTDumpWindow)Parent)->CenterY);	peYCenter->SetText(str);
	sprintf(str, "%lg", ((PTDumpWindow)Parent)->CenterH);	psHCenter->SetText(str);
	sprintf(str, "%lg", ((PTDumpWindow)Parent)->Mini);	psMinimum->SetText(str);
	sprintf(str, "%lg", ((PTDumpWindow)Parent)->Maxi);	psMaximum->SetText(str);
}


BOOL TDialogParameter::CanClose(void)
{
	BOOL changed = FALSE;

	if(peXSize->GetValue(((PTDumpWindow)Parent)->Width, changed) &&
	   peYSize->GetValue(((PTDumpWindow)Parent)->Height, changed) &&
	   peXCenter->GetValue(((PTDumpWindow)Parent)->CenterX, changed) &&
	   peYCenter->GetValue(((PTDumpWindow)Parent)->CenterY, changed))
	{
		if(changed)
		{
			PostMessage(Parent->HWindow, WM_PARMCHANGE, 0, 0l);
                }
                return TRUE;
	}
	else
	{
        	return FALSE;
        }
}
