#ifndef __PALFILE_H
#define __PALFILE_H
 
#ifndef __WINDOWS_H
#include <windows.h>
#endif


#define MAXCOLORS	236


// A palette scheme class
_CLASSDEF(TPaletteFile)
class TPaletteFile
{
public:
	BOOL		Initialized;	// TRUE if palettefile read ok
	PTPaletteFile	Next;		// Link to next palette file in chain
	char		*Path;		// The filepath of this palette
        char		*Name;		// The name of the colorscheme
	PALETTEENTRY	*Palette;	// The palette entries

public:
	TPaletteFile(char *path);
	TPaletteFile(PTPaletteFile src);
	~TPaletteFile();

	void Error(char *fmt, ...);
};

#endif
