#ifndef __DLGPARM_H
#define __DLGPARM_H


#ifndef __DIALOG_H
#include <dialog.h>
#endif

#ifndef __EKMEDIT_H
#include "ekmedit.h"
#endif

#ifndef __STATIC_H
#include <static.h>
#endif


_CLASSDEF(TDialogParameter)

class TDialogParameter : public TDialog
{
public:
	PTDoubleEdit	peXSize;
	PTDoubleEdit	peYSize;
	PTIntEdit	peXCenter;
	PTIntEdit	peYCenter;
	PTStatic	psHCenter;
	PTStatic	psMinimum;
	PTStatic	psMaximum;

public:
	TDialogParameter(PTWindowsObject AParent, LPSTR AName, PTModule AModule = NULL);
	~TDialogParameter();

	virtual void SetupWindow(void);
	virtual BOOL CanClose(void);
};


#endif
